皇上,还记得我吗?我就是1999年那个Linux伊甸园啊-----24小时滚动更新开源资讯,全年无休!

Apache Groovy 2.5.2 发布,JVM 动态脚本语言

Apache Groovy 2.5.2 已发布,这是 GROOVY_2_5_X 分支的维护版本,包含 20 项 bug 修复和改进,强烈鼓励所有使用此分支旧版本的用户进行升级。

更新内容:

Bug

  • [GROOVY-8282] – Error while popping argument from operand stack tracker in class …$Trait$Helper
  • [GROOVY-8403] – Trait FieldHelper is not marked synthetic
  • [GROOVY-8631] – Groovy 2.5.0 broken with Java 10.0.1 on MacOS
  • [GROOVY-8696] – TypeWrapper leaks out of DecompiledClassNode
  • [GROOVY-8711] – Some doco/comments were still referring to the groovy-all jar
  • [GROOVY-8712] – groovy ant task was still looking for jar(s) in embeddable directory
  • [GROOVY-8713] – Make groovy osgi plugin extensible to be able to use it in eclipse target platform
  • [GROOVY-8722] – final modifier for non-abstract methods in traits is ignored
  • [GROOVY-8723] – Groovy script output for 2nd and subsequent intput files
  • [GROOVY-8728] – Verifier.addDefaultParameters erases metadata if run more than once
  • [GROOVY-8730] – trait helper contains unused abstract methods
  • [GROOVY-8731] – improve error message for the case of static and instance methods with same signature when using traits
  • [GROOVY-8732] – @CompileStatic refers to private field in parent class
  • [GROOVY-8740] – groovy.util.CliBuilder doesn’t handle parse errors correctly

Improvement

  • [GROOVY-6716] – Cannot implement a trait via anonymous class
  • [GROOVY-8639] – @Sortable annotation is not able to use accessible parent properties
  • [GROOVY-8710] – JAXB JDK9-11 compatibility for install/dist
  • [GROOVY-8733] – Groovy could provide a chop DGM method

Dependency upgrade

  • [GROOVY-8700] – Bump picocli version to 3.3.0 from 3.2.0
  • [GROOVY-8738] – Bump picocli version to 3.5.0 from 3.3.0

下载地址:

转自 https://www.oschina.net/news/98965/apache-groovy-2-5-2-released

分享到:更多 ()